Bug 44463 - GUI deploy in manager webapp fails due to missing common-io dependency
GUI deploy in manager webapp fails due to missing common-io dependency
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Webapps:Manager
5.5.25
All All
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-02-21 07:48 UTC by Rainer Jung
Modified: 2008-07-06 21:02 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Jung 2008-02-21 07:48:35 UTC
This bug is for 5.5.26 which is still missing in the version list of bugzilla.

When deploying a webapp via the deploy upload in the manager webapp gui the
following exception gets thrown:

java.lang.NoClassDefFoundError:
org/apache/commons/io/output/DeferredFileOutputStream
	org.apache.commons.fileupload.DefaultFileItemFactory.createItem(DefaultFileItemFactory.java:103)
	org.apache.commons.fileupload.FileUploadBase.parseRequest(FileUploadBase.java:350)
	org.apache.commons.fileupload.FileUploadBase.parseRequest(FileUploadBase.java:302)
	org.apache.catalina.manager.HTMLManagerServlet.doPost(HTMLManagerServlet.java:166)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:710)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:803)

This is due to a missing dependency of commons-fileupload.

Between TC 5.5.25 and 5.5.26 commons-fileupload has been updated from version
1.0 to 1.2. commons-fileupload unbundled some commons-io classes between 1.0 and
1.1, so we need to bundle commons-io with the manager webapp.

Problem can be fixed by including commons-io version 1.4 in the manager webapp.
Comment 1 Rainer Jung 2008-04-08 01:43:50 UTC
Fix applied. Expected to be part of a future release 5.5.27.
Comment 2 Jack Cheung 2008-07-06 21:02:21 UTC
The problematic release seems to stay on tomcat download page for quite a while.

Wouldn't it be nice to add that to 5.5.26 README, or make the known issue outstanding to those who download the release?